<template>
	<div class="page">
		<iframe class="" scrolling="no" :src="src"></iframe>
	</div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import { useRoute } from "vue-router";
//这个页面需要改为url传参数
export default defineComponent({
	setup() {
		// let url = import.meta.env.MODE === "production" ? "https://mn.zzxcx.net/#/aprilExam/test" : "https://mn1.zzxcx.net/#/aprilExam/test";
        const route = useRoute()
        let src = route.query.src
		return {
			src,
		};
	},
});
</script>

<style lang="scss" scoped>
.page {
	width: 100%;
	height: 100vh;
	border: none;
	overflow: hidden;
	position: fixed;
	top: 0;
	> iframe {
		width: 100%;
		height: 100vh;
		border: none;
		overflow: hidden;
	}
}
</style>